Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network80.2.192.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
80.2.192.0
Broadcast address
80.2.255.255
First usable
80.2.192.1
Last usable
80.2.255.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 5002C000 · Integer 1342357504 to 1342373887
Reverse DNS zones
192.2.80.in-addr.arpa
193.2.80.in-addr.arpa
194.2.80.in-addr.arpa
195.2.80.in-addr.arpa
196.2.80.in-addr.arpa
197.2.80.in-addr.arpa
198.2.80.in-addr.arpa
199.2.80.in-addr.arpa
200.2.80.in-addr.arpa
201.2.80.in-addr.arpa
202.2.80.in-addr.arpa
203.2.80.in-addr.arpa
204.2.80.in-addr.arpa
205.2.80.in-addr.arpa
206.2.80.in-addr.arpa
207.2.80.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010000.00000010.11000000.0000000080.2.192.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network01010000.00000010.11000000.0000000080.2.192.0
Broadcast01010000.00000010.11111111.1111111180.2.255.255
Split into smaller subnets/29

80.2.192.0/18 makes 2,048 subnets of /29; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
180.2.192.0/2980.2.192.1 to 80.2.192.680.2.192.76
280.2.192.8/2980.2.192.9 to 80.2.192.1480.2.192.156
380.2.192.16/2980.2.192.17 to 80.2.192.2280.2.192.236
480.2.192.24/2980.2.192.25 to 80.2.192.3080.2.192.316
580.2.192.32/2980.2.192.33 to 80.2.192.3880.2.192.396
680.2.192.40/2980.2.192.41 to 80.2.192.4680.2.192.476
780.2.192.48/2980.2.192.49 to 80.2.192.5480.2.192.556
880.2.192.56/2980.2.192.57 to 80.2.192.6280.2.192.636
980.2.192.64/2980.2.192.65 to 80.2.192.7080.2.192.716
1080.2.192.72/2980.2.192.73 to 80.2.192.7880.2.192.796
1180.2.192.80/2980.2.192.81 to 80.2.192.8680.2.192.876
1280.2.192.88/2980.2.192.89 to 80.2.192.9480.2.192.956
1380.2.192.96/2980.2.192.97 to 80.2.192.10280.2.192.1036
1480.2.192.104/2980.2.192.105 to 80.2.192.11080.2.192.1116
1580.2.192.112/2980.2.192.113 to 80.2.192.11880.2.192.1196
1680.2.192.120/2980.2.192.121 to 80.2.192.12680.2.192.1276
1780.2.192.128/2980.2.192.129 to 80.2.192.13480.2.192.1356
1880.2.192.136/2980.2.192.137 to 80.2.192.14280.2.192.1436
1980.2.192.144/2980.2.192.145 to 80.2.192.15080.2.192.1516
2080.2.192.152/2980.2.192.153 to 80.2.192.15880.2.192.1596
2180.2.192.160/2980.2.192.161 to 80.2.192.16680.2.192.1676
2280.2.192.168/2980.2.192.169 to 80.2.192.17480.2.192.1756
2380.2.192.176/2980.2.192.177 to 80.2.192.18280.2.192.1836
2480.2.192.184/2980.2.192.185 to 80.2.192.19080.2.192.1916
2580.2.192.192/2980.2.192.193 to 80.2.192.19880.2.192.1996
2680.2.192.200/2980.2.192.201 to 80.2.192.20680.2.192.2076
2780.2.192.208/2980.2.192.209 to 80.2.192.21480.2.192.2156
2880.2.192.216/2980.2.192.217 to 80.2.192.22280.2.192.2236
2980.2.192.224/2980.2.192.225 to 80.2.192.23080.2.192.2316
3080.2.192.232/2980.2.192.233 to 80.2.192.23880.2.192.2396
3180.2.192.240/2980.2.192.241 to 80.2.192.24680.2.192.2476
3280.2.192.248/2980.2.192.249 to 80.2.192.25480.2.192.2556
3380.2.193.0/2980.2.193.1 to 80.2.193.680.2.193.76
3480.2.193.8/2980.2.193.9 to 80.2.193.1480.2.193.156
3580.2.193.16/2980.2.193.17 to 80.2.193.2280.2.193.236
3680.2.193.24/2980.2.193.25 to 80.2.193.3080.2.193.316
3780.2.193.32/2980.2.193.33 to 80.2.193.3880.2.193.396
3880.2.193.40/2980.2.193.41 to 80.2.193.4680.2.193.476
3980.2.193.48/2980.2.193.49 to 80.2.193.5480.2.193.556
4080.2.193.56/2980.2.193.57 to 80.2.193.6280.2.193.636
4180.2.193.64/2980.2.193.65 to 80.2.193.7080.2.193.716
4280.2.193.72/2980.2.193.73 to 80.2.193.7880.2.193.796
4380.2.193.80/2980.2.193.81 to 80.2.193.8680.2.193.876
4480.2.193.88/2980.2.193.89 to 80.2.193.9480.2.193.956
4580.2.193.96/2980.2.193.97 to 80.2.193.10280.2.193.1036
4680.2.193.104/2980.2.193.105 to 80.2.193.11080.2.193.1116
4780.2.193.112/2980.2.193.113 to 80.2.193.11880.2.193.1196
4880.2.193.120/2980.2.193.121 to 80.2.193.12680.2.193.1276
4980.2.193.128/2980.2.193.129 to 80.2.193.13480.2.193.1356
5080.2.193.136/2980.2.193.137 to 80.2.193.14280.2.193.1436
5180.2.193.144/2980.2.193.145 to 80.2.193.15080.2.193.1516
5280.2.193.152/2980.2.193.153 to 80.2.193.15880.2.193.1596
5380.2.193.160/2980.2.193.161 to 80.2.193.16680.2.193.1676
5480.2.193.168/2980.2.193.169 to 80.2.193.17480.2.193.1756
5580.2.193.176/2980.2.193.177 to 80.2.193.18280.2.193.1836
5680.2.193.184/2980.2.193.185 to 80.2.193.19080.2.193.1916
5780.2.193.192/2980.2.193.193 to 80.2.193.19880.2.193.1996
5880.2.193.200/2980.2.193.201 to 80.2.193.20680.2.193.2076
5980.2.193.208/2980.2.193.209 to 80.2.193.21480.2.193.2156
6080.2.193.216/2980.2.193.217 to 80.2.193.22280.2.193.2236
6180.2.193.224/2980.2.193.225 to 80.2.193.23080.2.193.2316
6280.2.193.232/2980.2.193.233 to 80.2.193.23880.2.193.2396
6380.2.193.240/2980.2.193.241 to 80.2.193.24680.2.193.2476
6480.2.193.248/2980.2.193.249 to 80.2.193.25480.2.193.2556
6580.2.194.0/2980.2.194.1 to 80.2.194.680.2.194.76
6680.2.194.8/2980.2.194.9 to 80.2.194.1480.2.194.156
6780.2.194.16/2980.2.194.17 to 80.2.194.2280.2.194.236
6880.2.194.24/2980.2.194.25 to 80.2.194.3080.2.194.316
6980.2.194.32/2980.2.194.33 to 80.2.194.3880.2.194.396
7080.2.194.40/2980.2.194.41 to 80.2.194.4680.2.194.476
7180.2.194.48/2980.2.194.49 to 80.2.194.5480.2.194.556
7280.2.194.56/2980.2.194.57 to 80.2.194.6280.2.194.636
7380.2.194.64/2980.2.194.65 to 80.2.194.7080.2.194.716
7480.2.194.72/2980.2.194.73 to 80.2.194.7880.2.194.796
7580.2.194.80/2980.2.194.81 to 80.2.194.8680.2.194.876
7680.2.194.88/2980.2.194.89 to 80.2.194.9480.2.194.956
7780.2.194.96/2980.2.194.97 to 80.2.194.10280.2.194.1036
7880.2.194.104/2980.2.194.105 to 80.2.194.11080.2.194.1116
7980.2.194.112/2980.2.194.113 to 80.2.194.11880.2.194.1196
8080.2.194.120/2980.2.194.121 to 80.2.194.12680.2.194.1276
8180.2.194.128/2980.2.194.129 to 80.2.194.13480.2.194.1356
8280.2.194.136/2980.2.194.137 to 80.2.194.14280.2.194.1436
8380.2.194.144/2980.2.194.145 to 80.2.194.15080.2.194.1516
8480.2.194.152/2980.2.194.153 to 80.2.194.15880.2.194.1596
8580.2.194.160/2980.2.194.161 to 80.2.194.16680.2.194.1676
8680.2.194.168/2980.2.194.169 to 80.2.194.17480.2.194.1756
8780.2.194.176/2980.2.194.177 to 80.2.194.18280.2.194.1836
8880.2.194.184/2980.2.194.185 to 80.2.194.19080.2.194.1916
8980.2.194.192/2980.2.194.193 to 80.2.194.19880.2.194.1996
9080.2.194.200/2980.2.194.201 to 80.2.194.20680.2.194.2076
9180.2.194.208/2980.2.194.209 to 80.2.194.21480.2.194.2156
9280.2.194.216/2980.2.194.217 to 80.2.194.22280.2.194.2236
9380.2.194.224/2980.2.194.225 to 80.2.194.23080.2.194.2316
9480.2.194.232/2980.2.194.233 to 80.2.194.23880.2.194.2396
9580.2.194.240/2980.2.194.241 to 80.2.194.24680.2.194.2476
9680.2.194.248/2980.2.194.249 to 80.2.194.25480.2.194.2556
9780.2.195.0/2980.2.195.1 to 80.2.195.680.2.195.76
9880.2.195.8/2980.2.195.9 to 80.2.195.1480.2.195.156
9980.2.195.16/2980.2.195.17 to 80.2.195.2280.2.195.236
10080.2.195.24/2980.2.195.25 to 80.2.195.3080.2.195.316
10180.2.195.32/2980.2.195.33 to 80.2.195.3880.2.195.396
10280.2.195.40/2980.2.195.41 to 80.2.195.4680.2.195.476
10380.2.195.48/2980.2.195.49 to 80.2.195.5480.2.195.556
10480.2.195.56/2980.2.195.57 to 80.2.195.6280.2.195.636
10580.2.195.64/2980.2.195.65 to 80.2.195.7080.2.195.716
10680.2.195.72/2980.2.195.73 to 80.2.195.7880.2.195.796
10780.2.195.80/2980.2.195.81 to 80.2.195.8680.2.195.876
10880.2.195.88/2980.2.195.89 to 80.2.195.9480.2.195.956
10980.2.195.96/2980.2.195.97 to 80.2.195.10280.2.195.1036
11080.2.195.104/2980.2.195.105 to 80.2.195.11080.2.195.1116
11180.2.195.112/2980.2.195.113 to 80.2.195.11880.2.195.1196
11280.2.195.120/2980.2.195.121 to 80.2.195.12680.2.195.1276
11380.2.195.128/2980.2.195.129 to 80.2.195.13480.2.195.1356
11480.2.195.136/2980.2.195.137 to 80.2.195.14280.2.195.1436
11580.2.195.144/2980.2.195.145 to 80.2.195.15080.2.195.1516
11680.2.195.152/2980.2.195.153 to 80.2.195.15880.2.195.1596
11780.2.195.160/2980.2.195.161 to 80.2.195.16680.2.195.1676
11880.2.195.168/2980.2.195.169 to 80.2.195.17480.2.195.1756
11980.2.195.176/2980.2.195.177 to 80.2.195.18280.2.195.1836
12080.2.195.184/2980.2.195.185 to 80.2.195.19080.2.195.1916
12180.2.195.192/2980.2.195.193 to 80.2.195.19880.2.195.1996
12280.2.195.200/2980.2.195.201 to 80.2.195.20680.2.195.2076
12380.2.195.208/2980.2.195.209 to 80.2.195.21480.2.195.2156
12480.2.195.216/2980.2.195.217 to 80.2.195.22280.2.195.2236
12580.2.195.224/2980.2.195.225 to 80.2.195.23080.2.195.2316
12680.2.195.232/2980.2.195.233 to 80.2.195.23880.2.195.2396
12780.2.195.240/2980.2.195.241 to 80.2.195.24680.2.195.2476
12880.2.195.248/2980.2.195.249 to 80.2.195.25480.2.195.2556
12980.2.196.0/2980.2.196.1 to 80.2.196.680.2.196.76
13080.2.196.8/2980.2.196.9 to 80.2.196.1480.2.196.156
13180.2.196.16/2980.2.196.17 to 80.2.196.2280.2.196.236
13280.2.196.24/2980.2.196.25 to 80.2.196.3080.2.196.316
13380.2.196.32/2980.2.196.33 to 80.2.196.3880.2.196.396
13480.2.196.40/2980.2.196.41 to 80.2.196.4680.2.196.476
13580.2.196.48/2980.2.196.49 to 80.2.196.5480.2.196.556
13680.2.196.56/2980.2.196.57 to 80.2.196.6280.2.196.636
13780.2.196.64/2980.2.196.65 to 80.2.196.7080.2.196.716
13880.2.196.72/2980.2.196.73 to 80.2.196.7880.2.196.796
13980.2.196.80/2980.2.196.81 to 80.2.196.8680.2.196.876
14080.2.196.88/2980.2.196.89 to 80.2.196.9480.2.196.956
14180.2.196.96/2980.2.196.97 to 80.2.196.10280.2.196.1036
14280.2.196.104/2980.2.196.105 to 80.2.196.11080.2.196.1116
14380.2.196.112/2980.2.196.113 to 80.2.196.11880.2.196.1196
14480.2.196.120/2980.2.196.121 to 80.2.196.12680.2.196.1276
14580.2.196.128/2980.2.196.129 to 80.2.196.13480.2.196.1356
14680.2.196.136/2980.2.196.137 to 80.2.196.14280.2.196.1436
14780.2.196.144/2980.2.196.145 to 80.2.196.15080.2.196.1516
14880.2.196.152/2980.2.196.153 to 80.2.196.15880.2.196.1596
14980.2.196.160/2980.2.196.161 to 80.2.196.16680.2.196.1676
15080.2.196.168/2980.2.196.169 to 80.2.196.17480.2.196.1756
15180.2.196.176/2980.2.196.177 to 80.2.196.18280.2.196.1836
15280.2.196.184/2980.2.196.185 to 80.2.196.19080.2.196.1916
15380.2.196.192/2980.2.196.193 to 80.2.196.19880.2.196.1996
15480.2.196.200/2980.2.196.201 to 80.2.196.20680.2.196.2076
15580.2.196.208/2980.2.196.209 to 80.2.196.21480.2.196.2156
15680.2.196.216/2980.2.196.217 to 80.2.196.22280.2.196.2236
15780.2.196.224/2980.2.196.225 to 80.2.196.23080.2.196.2316
15880.2.196.232/2980.2.196.233 to 80.2.196.23880.2.196.2396
15980.2.196.240/2980.2.196.241 to 80.2.196.24680.2.196.2476
16080.2.196.248/2980.2.196.249 to 80.2.196.25480.2.196.2556
16180.2.197.0/2980.2.197.1 to 80.2.197.680.2.197.76
16280.2.197.8/2980.2.197.9 to 80.2.197.1480.2.197.156
16380.2.197.16/2980.2.197.17 to 80.2.197.2280.2.197.236
16480.2.197.24/2980.2.197.25 to 80.2.197.3080.2.197.316
16580.2.197.32/2980.2.197.33 to 80.2.197.3880.2.197.396
16680.2.197.40/2980.2.197.41 to 80.2.197.4680.2.197.476
16780.2.197.48/2980.2.197.49 to 80.2.197.5480.2.197.556
16880.2.197.56/2980.2.197.57 to 80.2.197.6280.2.197.636
16980.2.197.64/2980.2.197.65 to 80.2.197.7080.2.197.716
17080.2.197.72/2980.2.197.73 to 80.2.197.7880.2.197.796
17180.2.197.80/2980.2.197.81 to 80.2.197.8680.2.197.876
17280.2.197.88/2980.2.197.89 to 80.2.197.9480.2.197.956
17380.2.197.96/2980.2.197.97 to 80.2.197.10280.2.197.1036
17480.2.197.104/2980.2.197.105 to 80.2.197.11080.2.197.1116
17580.2.197.112/2980.2.197.113 to 80.2.197.11880.2.197.1196
17680.2.197.120/2980.2.197.121 to 80.2.197.12680.2.197.1276
17780.2.197.128/2980.2.197.129 to 80.2.197.13480.2.197.1356
17880.2.197.136/2980.2.197.137 to 80.2.197.14280.2.197.1436
17980.2.197.144/2980.2.197.145 to 80.2.197.15080.2.197.1516
18080.2.197.152/2980.2.197.153 to 80.2.197.15880.2.197.1596
18180.2.197.160/2980.2.197.161 to 80.2.197.16680.2.197.1676
18280.2.197.168/2980.2.197.169 to 80.2.197.17480.2.197.1756
18380.2.197.176/2980.2.197.177 to 80.2.197.18280.2.197.1836
18480.2.197.184/2980.2.197.185 to 80.2.197.19080.2.197.1916
18580.2.197.192/2980.2.197.193 to 80.2.197.19880.2.197.1996
18680.2.197.200/2980.2.197.201 to 80.2.197.20680.2.197.2076
18780.2.197.208/2980.2.197.209 to 80.2.197.21480.2.197.2156
18880.2.197.216/2980.2.197.217 to 80.2.197.22280.2.197.2236
18980.2.197.224/2980.2.197.225 to 80.2.197.23080.2.197.2316
19080.2.197.232/2980.2.197.233 to 80.2.197.23880.2.197.2396
19180.2.197.240/2980.2.197.241 to 80.2.197.24680.2.197.2476
19280.2.197.248/2980.2.197.249 to 80.2.197.25480.2.197.2556
19380.2.198.0/2980.2.198.1 to 80.2.198.680.2.198.76
19480.2.198.8/2980.2.198.9 to 80.2.198.1480.2.198.156
19580.2.198.16/2980.2.198.17 to 80.2.198.2280.2.198.236
19680.2.198.24/2980.2.198.25 to 80.2.198.3080.2.198.316
19780.2.198.32/2980.2.198.33 to 80.2.198.3880.2.198.396
19880.2.198.40/2980.2.198.41 to 80.2.198.4680.2.198.476
19980.2.198.48/2980.2.198.49 to 80.2.198.5480.2.198.556
20080.2.198.56/2980.2.198.57 to 80.2.198.6280.2.198.636
20180.2.198.64/2980.2.198.65 to 80.2.198.7080.2.198.716
20280.2.198.72/2980.2.198.73 to 80.2.198.7880.2.198.796
20380.2.198.80/2980.2.198.81 to 80.2.198.8680.2.198.876
20480.2.198.88/2980.2.198.89 to 80.2.198.9480.2.198.956
20580.2.198.96/2980.2.198.97 to 80.2.198.10280.2.198.1036
20680.2.198.104/2980.2.198.105 to 80.2.198.11080.2.198.1116
20780.2.198.112/2980.2.198.113 to 80.2.198.11880.2.198.1196
20880.2.198.120/2980.2.198.121 to 80.2.198.12680.2.198.1276
20980.2.198.128/2980.2.198.129 to 80.2.198.13480.2.198.1356
21080.2.198.136/2980.2.198.137 to 80.2.198.14280.2.198.1436
21180.2.198.144/2980.2.198.145 to 80.2.198.15080.2.198.1516
21280.2.198.152/2980.2.198.153 to 80.2.198.15880.2.198.1596
21380.2.198.160/2980.2.198.161 to 80.2.198.16680.2.198.1676
21480.2.198.168/2980.2.198.169 to 80.2.198.17480.2.198.1756
21580.2.198.176/2980.2.198.177 to 80.2.198.18280.2.198.1836
21680.2.198.184/2980.2.198.185 to 80.2.198.19080.2.198.1916
21780.2.198.192/2980.2.198.193 to 80.2.198.19880.2.198.1996
21880.2.198.200/2980.2.198.201 to 80.2.198.20680.2.198.2076
21980.2.198.208/2980.2.198.209 to 80.2.198.21480.2.198.2156
22080.2.198.216/2980.2.198.217 to 80.2.198.22280.2.198.2236
22180.2.198.224/2980.2.198.225 to 80.2.198.23080.2.198.2316
22280.2.198.232/2980.2.198.233 to 80.2.198.23880.2.198.2396
22380.2.198.240/2980.2.198.241 to 80.2.198.24680.2.198.2476
22480.2.198.248/2980.2.198.249 to 80.2.198.25480.2.198.2556
22580.2.199.0/2980.2.199.1 to 80.2.199.680.2.199.76
22680.2.199.8/2980.2.199.9 to 80.2.199.1480.2.199.156
22780.2.199.16/2980.2.199.17 to 80.2.199.2280.2.199.236
22880.2.199.24/2980.2.199.25 to 80.2.199.3080.2.199.316
22980.2.199.32/2980.2.199.33 to 80.2.199.3880.2.199.396
23080.2.199.40/2980.2.199.41 to 80.2.199.4680.2.199.476
23180.2.199.48/2980.2.199.49 to 80.2.199.5480.2.199.556
23280.2.199.56/2980.2.199.57 to 80.2.199.6280.2.199.636
23380.2.199.64/2980.2.199.65 to 80.2.199.7080.2.199.716
23480.2.199.72/2980.2.199.73 to 80.2.199.7880.2.199.796
23580.2.199.80/2980.2.199.81 to 80.2.199.8680.2.199.876
23680.2.199.88/2980.2.199.89 to 80.2.199.9480.2.199.956
23780.2.199.96/2980.2.199.97 to 80.2.199.10280.2.199.1036
23880.2.199.104/2980.2.199.105 to 80.2.199.11080.2.199.1116
23980.2.199.112/2980.2.199.113 to 80.2.199.11880.2.199.1196
24080.2.199.120/2980.2.199.121 to 80.2.199.12680.2.199.1276
24180.2.199.128/2980.2.199.129 to 80.2.199.13480.2.199.1356
24280.2.199.136/2980.2.199.137 to 80.2.199.14280.2.199.1436
24380.2.199.144/2980.2.199.145 to 80.2.199.15080.2.199.1516
24480.2.199.152/2980.2.199.153 to 80.2.199.15880.2.199.1596
24580.2.199.160/2980.2.199.161 to 80.2.199.16680.2.199.1676
24680.2.199.168/2980.2.199.169 to 80.2.199.17480.2.199.1756
24780.2.199.176/2980.2.199.177 to 80.2.199.18280.2.199.1836
24880.2.199.184/2980.2.199.185 to 80.2.199.19080.2.199.1916
24980.2.199.192/2980.2.199.193 to 80.2.199.19880.2.199.1996
25080.2.199.200/2980.2.199.201 to 80.2.199.20680.2.199.2076
25180.2.199.208/2980.2.199.209 to 80.2.199.21480.2.199.2156
25280.2.199.216/2980.2.199.217 to 80.2.199.22280.2.199.2236
25380.2.199.224/2980.2.199.225 to 80.2.199.23080.2.199.2316
25480.2.199.232/2980.2.199.233 to 80.2.199.23880.2.199.2396
25580.2.199.240/2980.2.199.241 to 80.2.199.24680.2.199.2476
25680.2.199.248/2980.2.199.249 to 80.2.199.25480.2.199.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses